#version 330 core

uniform vec2 near_far;
uniform vec4 l_pos;

in vec4 WS_pos_from_GS;

void main(void) {

	float WS_dist = distance(WS_pos_from_GS, l_pos);

	float WS_dist_normalized = WS_dist / near_far.y;

	gl_FragDepth = WS_dist_normalized;
}